create_capacitor#

NexximComponents.create_capacitor(compname=None, value=50, location=None, angle=0, use_instance_id_netlist=False)[source]#

Create a capacitor.

Parameters:
compnamestr, optional

Name of the capacitor. The default is None.

valuefloat, optional

Capacitor value. The default is 50.

locationlist of float, optional

Position on the X axis and Y axis. The default is None.

anglefloat, optional

Angle rotation in degrees. The default is 0.

use_instance_id_netlistbool, optional

Whether to use the instance ID in the net list. The default is False.

Returns:
pyaedt.modeler.cad.object3dcircuit.CircuitComponent

Circuit Component Object.

References

>>> oEditor.CreateComponent